Items - Update Mirrored Catalog Definition
Overrides the definition for the specified MirroredCatalog.
This API supports long running operations (LRO).
Overrides the public definition of the specified MirroredCatalog. Updating the MirroredCatalog's definition does not affect its sensitivity label.
Permissions
The caller must have read and write permissions for the mirrored catalog.
Required Delegated Scopes
Item.ReadWrite.All
Limitations
- The
scopein the definition payload must be aSelectablenamespace as returned by the List Scopes API. - The
sourceTypeandconnectionIdproperties are immutable and cannot be changed after item creation.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/mirroredCatalogs/{mirroredCatalogId}/updateDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/mirroredCatalogs/{mirroredCatalogId}/updateDefinition?updateMetadata={updateMetadata}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
mirrored
|
path | True |
string (uuid) |
The MirroredCatalog ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
update
|
query |
boolean |
When set to true and the .platform file is provided as part of the definition, the item's metadata is updated using the metadata in the .platform file |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| definition | True |
Mirrored catalog public definition object. Refer to Mirrored Catalog definition article for more details. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Update definition is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Update a MirroredCatalog public definition example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/mirroredCatalogs/5b218778-e7a5-4d73-8187-f10824047715/updateDefinition
{
"definition": {
"parts": [
{
"path": "MirroredCatalogDefinition.json",
"payload": "eyIkc2NoZW1hIjoiaHR0cHM6Ly9kZXZlbG9wZXIubWljcm9zb2Z0LmNvbS9qc29uLXNjaGVtYXMvZmFicmljL2l0ZW0vbWlycm9yZWRDYXRhbG9nL2RlZmluaXRpb24vbWlycm9yZWRDYXRhbG9nRGVmaW5pdGlvbi8xLjAuMC9zY2hlbWEuanNvbiIsInByb3BlcnRpZXMiOnsic291cmNlIjp7InR5cGUiOiJEcmVtaW9JY2ViZXJnQ2F0YWxvZyIsInR5cGVQcm9wZXJ0aWVzIjp7ImNvbm5lY3Rpb25JZCI6IjRlYjZiNzY3LWU3ODYtNDVlZC1iN2NmLWQyNTAyM2U1MjIyMiIsInNjb3BlIjpbIkFjY291bnRpbmciLCJVUyJdfX0sIm1vdW50ZWRUYWJsZXMiOlt7InNvdXJjZSI6eyJ0eXBlUHJvcGVydGllcyI6eyJmdWxseVF1YWxpZmllZFNjb3BlIjpbIkFjY291bnRpbmciLCJVUyIsIlRheGVzIl0sInRhYmxlTmFtZSI6IlRheEluZm8ifX19LHsic291cmNlIjp7InR5cGVQcm9wZXJ0aWVzIjp7ImZ1bGx5UXVhbGlmaWVkU2NvcGUiOlsiQWNjb3VudGluZyIsIlVTIiwiVGF4ZXMiXSwidGFibGVOYW1lIjoiTmV3VGFibGUifX19LHsic291cmNlIjp7InR5cGVQcm9wZXJ0aWVzIjp7ImZ1bGx5UXVhbGlmaWVkU2NvcGUiOlsiQWNjb3VudGluZyIsIlVTIiwiUmVjZWl2YWJsZSJdLCJ0YWJsZU5hbWUiOiJJbnZvaWNlcyJ9fX0seyJzb3VyY2UiOnsidHlwZVByb3BlcnRpZXMiOnsiZnVsbHlRdWFsaWZpZWRTY29wZSI6WyJBY2NvdW50aW5nIiwiVVMiLCJSZWNlaXZhYmxlIl0sInRhYmxlTmFtZSI6IlBheWFibGVzIn19fV19fQ==",
"payloadType": "InlineBase64"
}
]
}
}
Sample response
Location: https://api.fabric.microsoft.com/v1/operations/ea72fc0b-5e31-44b0-b48f-add98bff6cdb
x-ms-operation-id: ea72fc0b-5e31-44b0-b48f-add98bff6cdb
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Mirrored |
Mirrored catalog public definition object. Refer to Mirrored Catalog definition article for more details. |
|
Mirrored |
Mirrored catalog definition part object. |
|
Payload |
The type of the definition part payload. Additional payload types may be added over time. |
|
Update |
Update mirrored catalog public definition request payload. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
MirroredCatalogDefinition
Mirrored catalog public definition object. Refer to Mirrored Catalog definition article for more details.
| Name | Type | Description |
|---|---|---|
| format |
string |
The format of the mirrored catalog definition. |
| parts |
A list of definition parts. |
MirroredCatalogDefinitionPart
Mirrored catalog definition part object.
| Name | Type | Description |
|---|---|---|
| path |
string |
The mirrored catalog definition part path. |
| payload |
string |
The mirrored catalog definition part payload. |
| payloadType |
The payload type. |
PayloadType
The type of the definition part payload. Additional payload types may be added over time.
| Value | Description |
|---|---|
| InlineBase64 |
Inline Base 64. |
UpdateMirroredCatalogDefinitionRequest
Update mirrored catalog public definition request payload.
| Name | Type | Description |
|---|---|---|
| definition |
Mirrored catalog public definition object. Refer to Mirrored Catalog definition article for more details. |